Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.management
Interface ServiceConfigurationMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, WebLogicMBean

All Known Subinterfaces:
  AdContentProviderMBean, AdServiceMBean, AsynchronousEventServiceMBean, AtnHierarchyMBean, AtnSecurityProviderMBean, AttributeLoaderMBean, BehaviorTrackingMBean, CacheManagerMBean, CacheMBean, CampaignEventListenerMBean, CampaignServiceMBean, CommercePipelineComponentSupportMBean, ContentManagementMBean, ContentStoreMBean, CredentialMBean, DocumentConnectionPoolMBean, DocumentManagerMBean, EventServiceMBean, JdbcHelperMBean, MailActionMBean, MailServiceMBean, PaymentServiceClientMBean, RoleSecurityProviderMBean, ScenarioServiceMBean, TaxServiceClientMBean

public interface ServiceConfigurationMBean
extends ConfigurationMBean

Base service configuraiton MBean interface

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved